Bug 994605 - Authconfig fails to enable sssd authentication
Authconfig fails to enable sssd authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: authconfig (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Mraz
David Spurek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 11:14 EDT by Nikolai Kondrashov
Modified: 2015-03-02 00:27 EST (History)
5 users (show)

See Also:
Fixed In Version: authconfig-6.2.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:13:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikolai Kondrashov 2013-08-07 11:14:58 EDT
Description of problem:
"authconfig --updateall --enablesssd --enablesssdauth" on RHEL7 fails without
a message and with undocumented exit status 5.

With the patch from Bug 994596 applied, the following error message is output:
[Errno 2] No such file or directory: '/etc/dconf/db/distro.d/10-authconfigWkZ7KD'

Version-Release number of selected component (if applicable):
authconfig-6.2.6-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
Execute "authconfig --updateall --enablesssd --enablesssdauth"

Actual results:
Stock authconfig: exit status 5
Authconfig with Bug 994596 patch applied outputs the following message in
addition:
[Errno 2] No such file or directory: '/etc/dconf/db/distro.d/10-authconfigWkZ7KD'

Expected results:
Exit status 0, no output.

Additional info:
Installing dconf fixes the problem, but it is not clear if that is a proper fix.
Comment 2 Tomas Mraz 2013-08-07 11:34:59 EDT
Ray, what should we do with this? Either we could make authconfig to require dconf - which is less than ideal probably. Or we could ignore the error. As this is needed only for the smart card support in gdm, we could probably ignore it if dconf is not installed?
Comment 3 Ray Strode [halfline] 2013-08-08 10:32:16 EDT
Tomas and I chatted about this today. The conclusion is authconfig will create the directories as necessary (and avoid creating the directories when possible)
Comment 4 Tomas Mraz 2013-08-08 13:15:16 EDT
Please verify that this works now correctly.
Comment 6 Ludek Smid 2014-06-13 07:13:32 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.